Bug 118996 - incorrect dependency check report for gdm 2.5.90.2-3
Summary: incorrect dependency check report for gdm 2.5.90.2-3
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: up2date   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bret McMillan
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: up2date-fc2
TreeView+ depends on / blocked
 
Reported: 2004-03-23 18:41 UTC by John Reiser
Modified: 2008-05-09 17:34 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 13:46:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Reiser 2004-03-23 18:41:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
Select gdm 2.5.90.2-3 updating 2.5.90.2-2.  up2date GUI via rhn-applet
complains:
-----
There was a package dependency problem.  The message was:
                                                                     
          
Unresolvable chain of dependencies:
XFree86-4.3.0-64                         requires XFree86-libs = 4.3.0-64
XFree86-devel-4.3.0-64                   requires XFree86-libs = 4.3.0-64
XFree86-twm-4.3.0-64                     requires XFree86-libs = 4.3.0-64
XFree86-xfs-4.3.0-64                     requires XFree86-libs = 4.3.0-64
                                                                     
          
Please modify your package selections and try again.
-----

However, those packages are installed already:
-----
$ rpm -qa | grep XFree
XFree86-font-utils-4.3.0-64
XFree86-twm-4.3.0-64
XFree86-libs-data-4.3.0-64
XFree86-100dpi-fonts-4.3.0-64
XFree86-devel-4.3.0-64
XFree86-xauth-4.3.0-64
XFree86-truetype-fonts-4.3.0-64
XFree86-75dpi-fonts-4.3.0-64
XFree86-Mesa-libGLU-4.3.0-64
XFree86-libs-4.3.0-64
XFree86-xfs-4.3.0-64
XFree86-base-fonts-4.3.0-64
XFree86-4.3.0-64
XFree86-tools-4.3.0-64
XFree86-Mesa-libGL-4.3.0-64
XFree86-xdm-4.3.0-64
$
-----


Version-Release number of selected component (if applicable):
up2date-4.3.11-2.1.1

How reproducible:
Always

Steps to Reproduce:
1. up2date to gdm 2.5.90.2-3 replacing 2.5.90.2-2 .
2.
3.
    

Actual Results:  The GUI complains that several packages require
XFree86-libs = 4.3.0-64, but that package (and all the dependencies
named in the error message) are already installed.

Expected Results:  No [apparently] incorrect complaints about
already-installed packages.

Additional info:

Comment 1 John Thacker 2006-10-29 13:46:47 UTC
Note that FC2 is no longer supported even by Fedora Legacy.  Also, up2date has
been replaced by pirut and pup since FC5.  FC3 and FC4 are supported by Fedora
Legacy for security issues only.  If this still occurs on FC3 or FC4 and is a
security issue, please reopen and assign to that version and Fedora Legacy.  If
it occurs on RHEL 3 or 4, please reassign or refile against that product.

The codebase for pirut and pup is quite different, so existing bugs do not
apply, but please continue testing them on the still supported versions of
Fedora Core and file bugs as necessary.


Note You need to log in before you can comment on or make changes to this bug.